curl --request POST \
--url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"reasonCode": "Incorrect order",
"attributes": {
"isPerishable": "false"
},
"employeeId": "12312232",
"items": [
{
"itemUnitNumber": 1,
"lineItemId": "12",
"quantity": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"reasonCode": "Incorrect item",
"subReasonCode": "Not the right color"
}
],
"note": "This is a note",
"policyCode": "RC1",
"releaseSoftReservation": true,
"source": "CSR",
"subReasonCode": "Incorrect specification",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": true
}
}
}
'import requests
url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel"
payload = {
"reasonCode": "Incorrect order",
"attributes": { "isPerishable": "false" },
"employeeId": "12312232",
"items": [
{
"itemUnitNumber": 1,
"lineItemId": "12",
"quantity": 1,
"attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"reasonCode": "Incorrect item",
"subReasonCode": "Not the right color"
}
],
"note": "This is a note",
"policyCode": "RC1",
"releaseSoftReservation": True,
"source": "CSR",
"subReasonCode": "Incorrect specification",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": True
}
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reasonCode: 'Incorrect order',
attributes: {isPerishable: 'false'},
employeeId: '12312232',
items: [
{
itemUnitNumber: 1,
lineItemId: '12',
quantity: 1,
attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
reasonCode: 'Incorrect item',
subReasonCode: 'Not the right color'
}
],
note: 'This is a note',
policyCode: 'RC1',
releaseSoftReservation: true,
source: 'CSR',
subReasonCode: 'Incorrect specification',
requestContext: {
id: 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
type: '<string>',
requestTime: '2022-04-12T09:30:31.198Z',
attributes: {attribute: 'N', someFlag: true}
}
})
};
fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reasonCode' => 'Incorrect order',
'attributes' => [
'isPerishable' => 'false'
],
'employeeId' => '12312232',
'items' => [
[
'itemUnitNumber' => 1,
'lineItemId' => '12',
'quantity' => 1,
'attributes' => [
'number' => 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'
],
'reasonCode' => 'Incorrect item',
'subReasonCode' => 'Not the right color'
]
],
'note' => 'This is a note',
'policyCode' => 'RC1',
'releaseSoftReservation' => true,
'source' => 'CSR',
'subReasonCode' => 'Incorrect specification',
'requestContext' => [
'id' => 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
'type' => '<string>',
'requestTime' => '2022-04-12T09:30:31.198Z',
'attributes' => [
'attribute' => 'N',
'someFlag' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel"
payload := strings.NewReader("{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"channelId": "12",
"items": [
{
"itemId": 1234,
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"lineItemNumber": 1,
"shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"sku": "P1234",
"adjustments": [
{
"adjustmentCounter": 1,
"amount": 2.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancelQuantity": 2,
"invoiceQuantity": 10,
"notes": "Any additional info",
"quantity": 2,
"reasonCode": "RFC",
"returnQuantity": 1,
"subReasonCode": "Late shipping"
}
],
"appeasementTotal": 5.5,
"appeasementTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"attributes": {
"colorCode": "001",
"isDonation": "false",
"style": "570223020"
},
"backOrderedQuantity": 10,
"cancellations": [
{
"amount": "-20.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"cancellationCounter": 1,
"invoicedAmount": "-20.",
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"amount": 60,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"quantity": 10,
"reasonCode": "Order line cancel",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"status": "PROCESSING",
"subReasonCode": "Late shipping"
}
],
"cancelledAmount": 12.4,
"cancelledAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"cancelledQuantity": 10,
"channelId": "WHBM",
"currency": "USD",
"deliveredQuantity": 10,
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoiceQuantity": 10,
"promotionCode": "HNY2022",
"promotionId": "HNY2022",
"promotionName": "New Year",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"employeeId": "5345HJH",
"exchangeQuantity": 13,
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"invoiceQuantity": 10,
"name": "STATE",
"quantity": 12,
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"taxCode": "FR01"
}
],
"fulfillment": {
"isFulfillable": true,
"isInventoryManaged": true,
"locationNumber": 123,
"shipFromAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"trackingDetails": {
"trackingNumber": "1ZH4E331YW37690225",
"trackingURL": "https://www.ups.com/track?tracknum=1ZH4E331YW37690225"
},
"attributes": {
"attribute1": "value"
}
},
"hasInfiniteConsent": true,
"invoiceTotal": 800,
"invoiceTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoicedQuantity": 10,
"isBackorder": true,
"isDonation": true,
"isExchangeItem": true,
"isGifting": true,
"isPreorder": true,
"isFulfillable": true,
"isInventoryManaged": true,
"itemAdjustmentTotal": 123.45,
"itemAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemDiscountsTotal": 80,
"itemDiscountsTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemFeeTotal": 200,
"itemFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemName": "Item",
"itemShippingTotal": 10,
"itemShippingTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemSubtotal": 600,
"itemSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemSubtype": "Borderfree",
"itemTaxTotal": 80,
"itemTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemTotal": 800,
"itemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemUnitPrice": 10,
"itemUnitPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"lineOrderStatus": "VALID",
"notes": [
{
"createdAt": "2022-05-12T09:30:31.198Z",
"notes": "Fragile - handle with care",
"user": "62272e917b12209e68751d94"
}
],
"orderedQuantity": 60,
"orderedQuantityToShip": 10,
"originalDiscounts": 50,
"originalDiscountsInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalFeeTotal": 300,
"originalFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemSubtotal": 800,
"originalItemSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemTotal": 500,
"originalItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalOutstandingItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalShippingTotal": 80,
"originalShippingTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalTaxTotal": 90,
"originalTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"outstandingItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"parentLineItemNumber": 12,
"pendingExchangeQuantity": 12,
"pendingReturnQuantity": 10,
"pendingShippedBackOrderQuantity": 10,
"processingReturnQuantity": 10,
"quantityInStatus": {
"cancelled": 10,
"created": 10,
"delivered": 10,
"hold": 10,
"pendingShipped": 10,
"returned": 10,
"shipped": 10
},
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"rejectedReturnQuantity": 10,
"reshippedQuantity": 10,
"returnedQuantity": 10,
"returns": [
{
"attributes": {
"transactionId": "0R12TQ46"
},
"exchangeLineItemId": "62f3dfc438bcab1951be0a19",
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"invoicedAmount": 11.29,
"isExchangeItemReturned": true,
"reasonCode": "Incorrect item",
"refundAmount": 11.29,
"refunds": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"returnRequestCounter": 1,
"returnsReceivedAt": "2022-09-14T14:07:36.861Z",
"shipmentId": "62b37697c67b204dd18a7465",
"shipmentInvoice": {
"invoiceId": "62ff5c0bec0aed3c86202c32",
"invoiceNumber": "23940791",
"invoicedAt": "2022-08-01T20:03:28.483971941Z"
},
"shipmentLineItemId": "234",
"shipmentQuantity": 1,
"source": "CSR"
}
],
"shippedQuantity": 10,
"taxCode": "FR01",
"taxDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
],
"type": "WEB_SHIP",
"uom": "EA",
"vendorId": "P1234"
}
],
"orderNumber": "309019176",
"shipInfo": [
{
"shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"attributes": {
"giftMessage": "[]"
},
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"promotionCode": "SHIPFREE",
"promotionId": "SHIPFREE",
"promotionName": "Free Shipping",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"isInvoiced": true,
"locationNumber": "WH334",
"pickups": [
{
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"pickupType": "PRIMARY"
}
],
"shipMethod": "Parcel post delivery",
"shipToAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"shipToDiscount": 12.6,
"shipToDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToPrice": 20,
"shipToPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToTaxTotal": 12.6,
"shipToTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToType": "SHIP_TO_ADDRESS",
"shipToUnitPrice": 20,
"shipToUnitPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipmentInstructions": "Handle with care",
"taxCode": "FR01",
"taxDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
]
}
],
"statusCode": "ORDER_CREATED",
"version": 2,
"adjustmentTotal": 123.45,
"adjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"adjustments": [
{
"adjustmentCounter": 1,
"amount": 2.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancelQuantity": 2,
"invoiceQuantity": 10,
"notes": "Any additional info",
"quantity": 2,
"reasonCode": "RFC",
"returnQuantity": 1,
"subReasonCode": "Late shipping"
}
],
"allocatedAt": "2022-05-12T09:30:31.198Z",
"appeasementTotal": 12.34,
"appeasementTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"attributes": {
"fraudCheckStatus": "UPDATED",
"loyaltyStatus": "N"
},
"auditLogs": [
{
"amount": 2.4,
"attributes": {
"key": "value"
},
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"auditedAt": "2023-03-12T09:24:54.804Z",
"employeeId": "6227",
"isSuccess": true,
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"lineItemNumber": 1,
"note": "Note",
"paymentToken": {
"paymentType": "VISA",
"token": "pi_34tr6787rt"
},
"policyCode": "POS",
"quantity": 1,
"reasonCode": "Scratched item",
"sku": "SKU0023",
"source": "POS",
"subReasonCode": "Scratched item",
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
]
}
],
"cancelTotal": 12.34,
"cancelTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"cancellations": [
{
"amount": "-20.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancellationCounter": 1,
"invoicedAmount": "-20.",
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"amount": 60,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Order Line Cancel",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"status": "PROCESSING",
"subReasonCode": "Late shipping"
}
],
"cancelledAt": "2022-05-12T09:30:31.198Z",
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"createdAt": "2022-05-12T09:30:31.198Z",
"currencies": {
"groups": [
{
"currency": "USD",
"group": "SHOPPER",
"attributes": {
"fxId": "ID123"
},
"conversionRate": 1
}
],
"primaryCurrency": "SHOPPER"
},
"currency": "USD",
"customer": {
"accountId": "62272e917b12209e68751d94",
"company": "Demo Inc",
"email": "test@example.com",
"employeeId": "62272e917b12209e68751d94",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94"
},
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoiceQuantity": 10,
"promotionCode": "HNY2022",
"promotionId": "HNY2022",
"promotionName": "New Year",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"employeeId": "43278",
"erroredFields": [
{
"amended": false,
"errorMessage": "Invalid email address",
"fieldName": "shipInfo.shipToAddress.email"
}
],
"feeTotal": 12.34,
"feeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
],
"invoiceTotal": 12.34,
"invoiceTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"notes": [
{
"createdAt": "2022-05-12T09:30:31.198Z",
"notes": "Fragile - handle with care",
"user": "62272e917b12209e68751d94"
}
],
"orderDiscount": 1.23,
"orderDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderId": "5349b4ddd2781d08c09890f4",
"orderExternalId": "191763090_O1231",
"orderReleasedAt": "2022-05-12T09:30:31.198Z",
"orderSubtotal": 123.45,
"orderSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderTotal": 146.9,
"orderTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderedAt": "2022-05-12T09:30:31.198Z",
"originalAdjustmentTotal": 123.45,
"originalAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalDiscount": 1.45,
"originalDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalFeeTotal": 12.34,
"originalFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalOrderTotal": 146.9,
"originalOrderTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalSubtotal": 113.45,
"originalSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalTaxTotal": 12.34,
"originalTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"attributes": {
"captureCurrencyCode": "USD",
"payerId": "M7AWTK3YK3B46",
"referenceId": "4DY41894J2904533S"
},
"authorizationAttempts": 0,
"authorizedAmount": 123.2,
"authorizedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"billToAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"chargedAmount": 60,
"chargedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"currency": "USD",
"isFinalCapture": false,
"isPartialCapture": false,
"paidAt": "2022-01-27T16:15:58-05:00",
"paymentCounter": 1,
"paymentIdentifier": {
"cardIdentifier": "3456",
"expirationMonth": "12",
"expirationYear": "2029",
"fabricPaymentReference": "f886c96c-5f65-11ed-9b6a-0242ac120002",
"paymentId": "62272e917b12209e68751d94"
},
"paymentLogs": [
{
"amount": -12.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"key": "value"
},
"data": {
"body": {
"attributes": {
"key": "value"
},
"errors": [
{
"key": "value"
}
],
"responseCode": "OK",
"status": "Authorized",
"transactionId": "328942333412",
"transactionTimestamp": "2022-04-10T23:00:45:12.111Z"
},
"paymentStatusCode": "200"
},
"id": "328942333412",
"paymentId": "328942333412",
"paymentLogId": "328942333412",
"paymentLogRefId": "328942333412",
"status": "Authorized",
"type": "REFUND"
}
],
"paymentMethod": "CREDIT_CARD",
"paymentProvider": "stripe",
"paymentStatus": "Paid",
"paymentToken": {
"paymentType": "VISA",
"token": "pi_34tr6787rt"
},
"reauthorizationAttempts": 0,
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"retail": {
"cashierId": "C-123",
"locationNumber": "WH334",
"registerId": "113",
"transactionId": "328942333412"
},
"returnTotal": 12.34,
"returnTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"returns": [
{
"attributes": {
"transactionId": "0R12TQ46"
},
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"invoicedAmount": 11.29,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"paymentCounterRefundDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"paymentCounter": 1
}
],
"refunds": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"returnCounter": 1,
"totalRefundAmount": 11.29,
"totalRefundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"statusDescription": "Order Created",
"subtype": "INTERNATIONAL",
"taxTotal": 12.34,
"taxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"type": "WEB",
"transactionLogs": [
{
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestId": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": true
}
}
],
"updatedAt": "2022-05-12T09:30:31.198Z"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Order not found",
"type": "CLIENT_ERROR"
}{
"message": "Order can't be cancelled as there is no line item available for cancellation",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Cancel order by order number
Cancels an order when a customer’s cancellation request is determined to be eligible.
This endpoint processes the cancellation based on the provided order number.
Note:
- Use this endpoint only if you have the order number.
- If you have the order ID or external order ID instead, use the corresponding
identifier-based endpoint:
POST /orders/{orderIdType}/{orderIdValue}/actions/cancel.
curl --request POST \
--url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"reasonCode": "Incorrect order",
"attributes": {
"isPerishable": "false"
},
"employeeId": "12312232",
"items": [
{
"itemUnitNumber": 1,
"lineItemId": "12",
"quantity": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"reasonCode": "Incorrect item",
"subReasonCode": "Not the right color"
}
],
"note": "This is a note",
"policyCode": "RC1",
"releaseSoftReservation": true,
"source": "CSR",
"subReasonCode": "Incorrect specification",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": true
}
}
}
'import requests
url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel"
payload = {
"reasonCode": "Incorrect order",
"attributes": { "isPerishable": "false" },
"employeeId": "12312232",
"items": [
{
"itemUnitNumber": 1,
"lineItemId": "12",
"quantity": 1,
"attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"reasonCode": "Incorrect item",
"subReasonCode": "Not the right color"
}
],
"note": "This is a note",
"policyCode": "RC1",
"releaseSoftReservation": True,
"source": "CSR",
"subReasonCode": "Incorrect specification",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": True
}
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reasonCode: 'Incorrect order',
attributes: {isPerishable: 'false'},
employeeId: '12312232',
items: [
{
itemUnitNumber: 1,
lineItemId: '12',
quantity: 1,
attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
reasonCode: 'Incorrect item',
subReasonCode: 'Not the right color'
}
],
note: 'This is a note',
policyCode: 'RC1',
releaseSoftReservation: true,
source: 'CSR',
subReasonCode: 'Incorrect specification',
requestContext: {
id: 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
type: '<string>',
requestTime: '2022-04-12T09:30:31.198Z',
attributes: {attribute: 'N', someFlag: true}
}
})
};
fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reasonCode' => 'Incorrect order',
'attributes' => [
'isPerishable' => 'false'
],
'employeeId' => '12312232',
'items' => [
[
'itemUnitNumber' => 1,
'lineItemId' => '12',
'quantity' => 1,
'attributes' => [
'number' => 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'
],
'reasonCode' => 'Incorrect item',
'subReasonCode' => 'Not the right color'
]
],
'note' => 'This is a note',
'policyCode' => 'RC1',
'releaseSoftReservation' => true,
'source' => 'CSR',
'subReasonCode' => 'Incorrect specification',
'requestContext' => [
'id' => 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
'type' => '<string>',
'requestTime' => '2022-04-12T09:30:31.198Z',
'attributes' => [
'attribute' => 'N',
'someFlag' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel"
payload := strings.NewReader("{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reasonCode\": \"Incorrect order\",\n \"attributes\": {\n \"isPerishable\": \"false\"\n },\n \"employeeId\": \"12312232\",\n \"items\": [\n {\n \"itemUnitNumber\": 1,\n \"lineItemId\": \"12\",\n \"quantity\": 1,\n \"attributes\": {\n \"number\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"reasonCode\": \"Incorrect item\",\n \"subReasonCode\": \"Not the right color\"\n }\n ],\n \"note\": \"This is a note\",\n \"policyCode\": \"RC1\",\n \"releaseSoftReservation\": true,\n \"source\": \"CSR\",\n \"subReasonCode\": \"Incorrect specification\",\n \"requestContext\": {\n \"id\": \"a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111\",\n \"type\": \"<string>\",\n \"requestTime\": \"2022-04-12T09:30:31.198Z\",\n \"attributes\": {\n \"attribute\": \"N\",\n \"someFlag\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"channelId": "12",
"items": [
{
"itemId": 1234,
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"lineItemNumber": 1,
"shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"sku": "P1234",
"adjustments": [
{
"adjustmentCounter": 1,
"amount": 2.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancelQuantity": 2,
"invoiceQuantity": 10,
"notes": "Any additional info",
"quantity": 2,
"reasonCode": "RFC",
"returnQuantity": 1,
"subReasonCode": "Late shipping"
}
],
"appeasementTotal": 5.5,
"appeasementTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"attributes": {
"colorCode": "001",
"isDonation": "false",
"style": "570223020"
},
"backOrderedQuantity": 10,
"cancellations": [
{
"amount": "-20.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"cancellationCounter": 1,
"invoicedAmount": "-20.",
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"amount": 60,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"quantity": 10,
"reasonCode": "Order line cancel",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"status": "PROCESSING",
"subReasonCode": "Late shipping"
}
],
"cancelledAmount": 12.4,
"cancelledAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"cancelledQuantity": 10,
"channelId": "WHBM",
"currency": "USD",
"deliveredQuantity": 10,
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoiceQuantity": 10,
"promotionCode": "HNY2022",
"promotionId": "HNY2022",
"promotionName": "New Year",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"employeeId": "5345HJH",
"exchangeQuantity": 13,
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"invoiceQuantity": 10,
"name": "STATE",
"quantity": 12,
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"taxCode": "FR01"
}
],
"fulfillment": {
"isFulfillable": true,
"isInventoryManaged": true,
"locationNumber": 123,
"shipFromAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"trackingDetails": {
"trackingNumber": "1ZH4E331YW37690225",
"trackingURL": "https://www.ups.com/track?tracknum=1ZH4E331YW37690225"
},
"attributes": {
"attribute1": "value"
}
},
"hasInfiniteConsent": true,
"invoiceTotal": 800,
"invoiceTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoicedQuantity": 10,
"isBackorder": true,
"isDonation": true,
"isExchangeItem": true,
"isGifting": true,
"isPreorder": true,
"isFulfillable": true,
"isInventoryManaged": true,
"itemAdjustmentTotal": 123.45,
"itemAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemDiscountsTotal": 80,
"itemDiscountsTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemFeeTotal": 200,
"itemFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemName": "Item",
"itemShippingTotal": 10,
"itemShippingTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemSubtotal": 600,
"itemSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemSubtype": "Borderfree",
"itemTaxTotal": 80,
"itemTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemTotal": 800,
"itemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"itemUnitPrice": 10,
"itemUnitPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"lineOrderStatus": "VALID",
"notes": [
{
"createdAt": "2022-05-12T09:30:31.198Z",
"notes": "Fragile - handle with care",
"user": "62272e917b12209e68751d94"
}
],
"orderedQuantity": 60,
"orderedQuantityToShip": 10,
"originalDiscounts": 50,
"originalDiscountsInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalFeeTotal": 300,
"originalFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemSubtotal": 800,
"originalItemSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalItemTotal": 500,
"originalItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalOutstandingItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalShippingTotal": 80,
"originalShippingTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalTaxTotal": 90,
"originalTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"outstandingItemTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"parentLineItemNumber": 12,
"pendingExchangeQuantity": 12,
"pendingReturnQuantity": 10,
"pendingShippedBackOrderQuantity": 10,
"processingReturnQuantity": 10,
"quantityInStatus": {
"cancelled": 10,
"created": 10,
"delivered": 10,
"hold": 10,
"pendingShipped": 10,
"returned": 10,
"shipped": 10
},
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"rejectedReturnQuantity": 10,
"reshippedQuantity": 10,
"returnedQuantity": 10,
"returns": [
{
"attributes": {
"transactionId": "0R12TQ46"
},
"exchangeLineItemId": "62f3dfc438bcab1951be0a19",
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"invoicedAmount": 11.29,
"isExchangeItemReturned": true,
"reasonCode": "Incorrect item",
"refundAmount": 11.29,
"refunds": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"returnRequestCounter": 1,
"returnsReceivedAt": "2022-09-14T14:07:36.861Z",
"shipmentId": "62b37697c67b204dd18a7465",
"shipmentInvoice": {
"invoiceId": "62ff5c0bec0aed3c86202c32",
"invoiceNumber": "23940791",
"invoicedAt": "2022-08-01T20:03:28.483971941Z"
},
"shipmentLineItemId": "234",
"shipmentQuantity": 1,
"source": "CSR"
}
],
"shippedQuantity": 10,
"taxCode": "FR01",
"taxDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
],
"type": "WEB_SHIP",
"uom": "EA",
"vendorId": "P1234"
}
],
"orderNumber": "309019176",
"shipInfo": [
{
"shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"attributes": {
"giftMessage": "[]"
},
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"promotionCode": "SHIPFREE",
"promotionId": "SHIPFREE",
"promotionName": "Free Shipping",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"isInvoiced": true,
"locationNumber": "WH334",
"pickups": [
{
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"pickupType": "PRIMARY"
}
],
"shipMethod": "Parcel post delivery",
"shipToAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"shipToDiscount": 12.6,
"shipToDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToPrice": 20,
"shipToPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToTaxTotal": 12.6,
"shipToTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipToType": "SHIP_TO_ADDRESS",
"shipToUnitPrice": 20,
"shipToUnitPriceInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"shipmentInstructions": "Handle with care",
"taxCode": "FR01",
"taxDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
]
}
],
"statusCode": "ORDER_CREATED",
"version": 2,
"adjustmentTotal": 123.45,
"adjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"adjustments": [
{
"adjustmentCounter": 1,
"amount": 2.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancelQuantity": 2,
"invoiceQuantity": 10,
"notes": "Any additional info",
"quantity": 2,
"reasonCode": "RFC",
"returnQuantity": 1,
"subReasonCode": "Late shipping"
}
],
"allocatedAt": "2022-05-12T09:30:31.198Z",
"appeasementTotal": 12.34,
"appeasementTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"attributes": {
"fraudCheckStatus": "UPDATED",
"loyaltyStatus": "N"
},
"auditLogs": [
{
"amount": 2.4,
"attributes": {
"key": "value"
},
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"auditedAt": "2023-03-12T09:24:54.804Z",
"employeeId": "6227",
"isSuccess": true,
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"lineItemNumber": 1,
"note": "Note",
"paymentToken": {
"paymentType": "VISA",
"token": "pi_34tr6787rt"
},
"policyCode": "POS",
"quantity": 1,
"reasonCode": "Scratched item",
"sku": "SKU0023",
"source": "POS",
"subReasonCode": "Scratched item",
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
]
}
],
"cancelTotal": 12.34,
"cancelTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"cancellations": [
{
"amount": "-20.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"cancellationCounter": 1,
"invoicedAmount": "-20.",
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"amount": 60,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Order Line Cancel",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"status": "PROCESSING",
"subReasonCode": "Late shipping"
}
],
"cancelledAt": "2022-05-12T09:30:31.198Z",
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"createdAt": "2022-05-12T09:30:31.198Z",
"currencies": {
"groups": [
{
"currency": "USD",
"group": "SHOPPER",
"attributes": {
"fxId": "ID123"
},
"conversionRate": 1
}
],
"primaryCurrency": "SHOPPER"
},
"currency": "USD",
"customer": {
"accountId": "62272e917b12209e68751d94",
"company": "Demo Inc",
"email": "test@example.com",
"employeeId": "62272e917b12209e68751d94",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94"
},
"discounts": [
{
"amount": 2.99,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"invoiceQuantity": 10,
"promotionCode": "HNY2022",
"promotionId": "HNY2022",
"promotionName": "New Year",
"quantity": 1,
"unit": "AMOUNT_OFF",
"value": 10
}
],
"employeeId": "43278",
"erroredFields": [
{
"amended": false,
"errorMessage": "Invalid email address",
"fieldName": "shipInfo.shipToAddress.email"
}
],
"feeTotal": 12.34,
"feeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {},
"currency": "USD",
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "STATE",
"rate": 10,
"rateType": "PERCENTAGE",
"taxCode": "FR01"
}
],
"invoiceTotal": 12.34,
"invoiceTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"notes": [
{
"createdAt": "2022-05-12T09:30:31.198Z",
"notes": "Fragile - handle with care",
"user": "62272e917b12209e68751d94"
}
],
"orderDiscount": 1.23,
"orderDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderId": "5349b4ddd2781d08c09890f4",
"orderExternalId": "191763090_O1231",
"orderReleasedAt": "2022-05-12T09:30:31.198Z",
"orderSubtotal": 123.45,
"orderSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderTotal": 146.9,
"orderTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"orderedAt": "2022-05-12T09:30:31.198Z",
"originalAdjustmentTotal": 123.45,
"originalAdjustmentTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalDiscount": 1.45,
"originalDiscountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalFeeTotal": 12.34,
"originalFeeTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalOrderTotal": 146.9,
"originalOrderTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalSubtotal": 113.45,
"originalSubtotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"originalTaxTotal": 12.34,
"originalTaxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"attributes": {
"captureCurrencyCode": "USD",
"payerId": "M7AWTK3YK3B46",
"referenceId": "4DY41894J2904533S"
},
"authorizationAttempts": 0,
"authorizedAmount": 123.2,
"authorizedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"billToAddress": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"countryCode": "US",
"latitude": 47.6205,
"longitude": -122.3493,
"postalCode": "98121",
"region": "WA",
"type": "Home",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"email": "test@example.com",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"chargedAmount": 60,
"chargedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"currency": "USD",
"isFinalCapture": false,
"isPartialCapture": false,
"paidAt": "2022-01-27T16:15:58-05:00",
"paymentCounter": 1,
"paymentIdentifier": {
"cardIdentifier": "3456",
"expirationMonth": "12",
"expirationYear": "2029",
"fabricPaymentReference": "f886c96c-5f65-11ed-9b6a-0242ac120002",
"paymentId": "62272e917b12209e68751d94"
},
"paymentLogs": [
{
"amount": -12.4,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"key": "value"
},
"data": {
"body": {
"attributes": {
"key": "value"
},
"errors": [
{
"key": "value"
}
],
"responseCode": "OK",
"status": "Authorized",
"transactionId": "328942333412",
"transactionTimestamp": "2022-04-10T23:00:45:12.111Z"
},
"paymentStatusCode": "200"
},
"id": "328942333412",
"paymentId": "328942333412",
"paymentLogId": "328942333412",
"paymentLogRefId": "328942333412",
"status": "Authorized",
"type": "REFUND"
}
],
"paymentMethod": "CREDIT_CARD",
"paymentProvider": "stripe",
"paymentStatus": "Paid",
"paymentToken": {
"paymentType": "VISA",
"token": "pi_34tr6787rt"
},
"reauthorizationAttempts": 0,
"refundAmount": 21.5,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"retail": {
"cashierId": "C-123",
"locationNumber": "WH334",
"registerId": "113",
"transactionId": "328942333412"
},
"returnTotal": 12.34,
"returnTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"returns": [
{
"attributes": {
"transactionId": "0R12TQ46"
},
"fees": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"invoicedAmount": 11.29,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"paymentCounterRefundDetails": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"paymentCounter": 1
}
],
"refunds": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "RETURN_FEE",
"reason": "Return fee",
"type": "FEE"
}
],
"returnCounter": 1,
"totalRefundAmount": 11.29,
"totalRefundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"statusDescription": "Order Created",
"subtype": "INTERNATIONAL",
"taxTotal": 12.34,
"taxTotalInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"type": "WEB",
"transactionLogs": [
{
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestId": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": true
}
}
],
"updatedAt": "2022-05-12T09:30:31.198Z"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Order not found",
"type": "CLIENT_ERROR"
}{
"message": "Order can't be cancelled as there is no line item available for cancellation",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
Order cancellation request
Response
OK
An object containing order details.
Status code. There are no pre-defined values; possible values are - ORDER_ALLOCATED ("Order Allocated"), ORDER_SHIPPED ("Order Shipped"), ORDER_PARTIALLY_SHIPPED ("Order Partially Shipped"), ORDER_PICKED_UP ("Order Picked Up"), ORDER_PARTIALLY_PICKED_UP ("Order Partially Picked Up"), ORDER_DELIVERED ("Order Delivered"), ORDER_PARTIALLY_DELIVERED ("Order Partially Delivered"), ORDER_RETURNED ("Order Returned"), ORDER_HOLD_EXTERNAL ("Order on Hold") etc.
"ORDER_CREATED"
System-generated order cancellation time in UTC. This is returned in the response of Cancel order by ID - POST /orders/{orderId}/actions/cancel or Cancel order by order number - POST /orders/order-number/{orderNumber}/actions/cancel once the order is successfully cancelled.
"2022-05-12T09:30:31.198Z"
Order type is critical for the order life cycle as it indicates the workflow. For example, storefront orders have a different workflow than call center orders. fabric Orders service offers standard configurations for storefront, call center, point of sale, iOS, Android, and international.
WEB, CSC, MOBILE_APP, POS "WEB"
Was this page helpful?
